﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Spread_ASP_SortJS
{
    public partial class _default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (IsPostBack)
            {
                return;
            }
            this.FpSpread1.Sheets[0].AllowSort = true;
        }

        protected override void Render(HtmlTextWriter writer)
        {
            Table cheader = this.FpSpread1.FindControl("cht") as Table;

            foreach (TableCell cell in cheader.Rows[0].Cells)
            {
                cell.Attributes.Add("onclick", "Sort()");   
            }
            base.Render(writer);
        }
    }
}